"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const fs = require("fs");
const path = require("path");
class init extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(init);
        const name = flags.name || 'bot';
        if (!name.match(/^[a-z0-9]+$/i))
            this.error('Name must be alphanumeric');
        else {
            let botDir = path.join(process.cwd(), name);
            fs.mkdirSync(botDir);
            fs.writeFileSync(path.join(botDir, 'bot.json'), '');
            this.log('To get started');
            this.log('open ' + botDir + ' in vscode');
            this.log('Install https://marketplace.visualstudio.com/items?itemName=abhivijay96.bot-compiler-schema-support\n');
            this.log('Docs at https://abhivijay96.gitbooks.io/bot-compiler/content/\n');
            this.log('use "botc build" after editing bot.json to do the initial scaffolding\n');
            this.log('"botc rebuild" to edit microbots without deleting functions already implemented in any *impl.js');
        }
    }
}
init.description = 'create bot.json and functions.json';
init.examples = [
    `$ botc init --name bot_name
creating bot.json
`,
];
init.flags = {
    name: command_1.flags.string({ char: 'n', description: 'name of the bot' })
};
init.args = [];
exports.default = init;
